/*	
	Proyecto TFG:
		AMH VIDA
	Ao:
		2011-2012.
	Version:
		1.0
	Fecha de ultima modificacion:
		18-Jul-2012.
	Autor:
		Jose Luis Martinez Jimenez.
	Tutores:
		Francisco Javier Finat Codes.
		Valentn Cardeoso Payo
	Descripcion:
		Modela el patrn factora
*/
#include "FactoriaAlgoritmos.h"

FactoriaAlgoritmos::FactoriaAlgoritmos(void)
{
}


FactoriaAlgoritmos::~FactoriaAlgoritmos(void)
{
}

vector<Algoritmo*> FactoriaAlgoritmos::generarAlgoritmos(vector<string> alg){
	unsigned int i;
	
	FBorde* dr;
	FFloodFill* sff;
	AnalisisPersona* dcm;

	vector<Algoritmo*> algoritmos;

	dr = new FBorde();
	sff = new FFloodFill(dr);
	for(i=0;i<alg.size();i++){
		
		if(alg[i].compare("FBorde")==0){
			dr = new FBorde();
			algoritmos.push_back(dr);
		}
		if(alg[i].compare("FFloodFill")==0){
			algoritmos.push_back(sff);
		}
		if(alg[i].compare("AnalisisPersona")==0){
			dcm = new AnalisisPersona();
			algoritmos.push_back(dcm);
		}
	}
	return algoritmos;
}