/*	
	Proyecto TFG:
		AMH VIDA
	Ao:
		2011-2012.
	Version:
		1.0
	Fecha de ultima modificacion:
		18-Jul-2012.
	Autor:
		Jose Luis Martinez Jimenez.
	Tutores:
		Francisco Javier Finat Codes.
		Valentn Cardeoso Payo
	Descripcion:
		Interfaz de los algoritmos de visin artificial
		que se van a emplear como estrategias para el
		tratamiento de imagen.
*/

#include "cv.h"
#include "highgui.h"

#pragma once

class Algoritmo
{
public:
	Algoritmo(void);
	~Algoritmo(void);

public:
	virtual IplImage* execute(IplImage*, int) = 0;//imagen entrada y numero de frame al que pertenece
	virtual void finish() = 0;//imagen entrada y numero de frame al que pertenece
};
