#pragma once
#include "Algoritmo.h"
#include "OpcionesNegocio.h"
#include "FBorde.h"

#include "cv.h"
#include "highgui.h"
#include <stdio.h>
#include <ctype.h>
#include <iostream>

using namespace std;

class FFloodFill:
	public Algoritmo
{
public:
	FFloodFill(void);
	FFloodFill(FBorde*);
	~FFloodFill(void);
public:
	IplImage* execute(IplImage*, int);
	void finish();
private:
	void remarcarSeccion(int x, int y, IplImage* color_img, IplImage* mask);
private:
	FBorde *dr;
	IplImage* color_img0;
	IplImage* mask, *mask2;
	IplImage* resultado;
	IplImage* color_img;
	CvRect *roid;
	CvRect rAux;
	//IplImage* gray_img0 = NULL;
	//IplImage* gray_img = NULL;
	int ffill_case;
	int lo_diff, up_diff;
	int connectivity;
	int is_color;
	int is_mask;
	int new_mask_val;
};
