/*	
	Proyecto TFG:
		AMH VIDA
	Ao:
		2011-2012.
	Version:
		1.0
	Fecha de ultima modificacion:
		18-Jul-2012.
	Autor:
		Jose Luis Martinez Jimenez.
	Tutores:
		Francisco Javier Finat Codes.
		Valentn Cardeoso Payo
	Descripcion:
		Determina a qu caso corresponde los datos de entrada
*/
#include "MotorCasos.h"

MotorCasos* MotorCasos::motorCasos = 0;

MotorCasos::MotorCasos(void)
{
}

MotorCasos* MotorCasos::getMotorCasos(){
	if(motorCasos == 0){
		motorCasos = new MotorCasos();
	}
	return motorCasos;
}

int MotorCasos::calcularCaso(Persona persona, Persona personaPrev, CvRect suelo, int caso, int casoPrev){
	int i=0, j=0;
	CvPoint dot, vectorDireccionM1=cvPoint(0,0);
	vector<int> resultadosCompeticionCaso;//en cada elemento se guardan los puntos que han ganado cada caso en esta iteracion. El mayor es el caso que mas probablemente se ajusta  a la situacion que se ha presentado
	
	for(i=0;i<10;i++){
		resultadosCompeticionCaso.push_back(0);
	}
	
	

//	asignacionERPV.clear();//reset
	
	if(HistoricoEsqueletos::getHistoricoEsqueletos()->size()>0){//si hay conocimiento previo de la posicion del bailarin
		Esqueleto personaPrev1, personaPrev2;
		personaPrev1=HistoricoEsqueletos::getHistoricoEsqueletos()->back();
		CvPoint pMano1, pMano2, pCabeza;//los puntos detectados en la iteracion anterior
		pMano1=personaPrev1.getBrazo1()[0];
		pMano2=personaPrev1.getBrazo2()[0];
		pCabeza=cvPoint((personaPrev1.getCabeza().x + personaPrev1.getCabeza().width /2), personaPrev1.getCabeza().y);
		if(HistoricoEsqueletos::getHistoricoEsqueletos()->size()>1){//si tenemos dos iteraciones anteriores con info de esqueletos
			personaPrev2 =HistoricoEsqueletos::getHistoricoEsqueletos()->element(HistoricoEsqueletos::getHistoricoEsqueletos()->size()-2);
			vectorDireccionM1.x = personaPrev1.getBrazo1()[0].x - personaPrev2.getBrazo1()[0].x;
			vectorDireccionM1.y = personaPrev1.getBrazo1()[0].y - personaPrev2.getBrazo1()[0].y;
		}
		if(persona.PVC[0].er.maxRel.size()==1){
			CvPoint er1=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			
			//cvCircle( imgRetorno, pMano1, 3, CV_RGB(0,255,0), -1, 8,0);
			//cvCircle( imgRetorno, pCabeza, 3, CV_RGB(0,0,255), -1, 8,0);
			//cvCircle( imgRetorno, er1, 3, CV_RGB(255,0,0), -1, 8,0);
			if(asignacionEr1==2){
				resultadosCompeticionCaso[4]+=10;
				
			}else{
				resultadosCompeticionCaso[7]+=10;
				resultadosCompeticionCaso[8]+=10;
				//resultadosCompeticionCaso[9]+=10;
			}
			resultadosCompeticionCaso[5]+=8;
			resultadosCompeticionCaso[6]+=8;
			
//			asignacionERPV.push_back(asignacionEr1);
			
		}else if(persona.PVC[0].er.maxRel.size()==2){
			CvPoint er1=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			CvPoint er2=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[1]];
			int asignacionEr2=0, valAsignacionEr2=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER2;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER2.push_back(abs(pMano1.x -er2.x) + abs(pMano1.y - er2.y));
			matchPER2.push_back(abs(pMano2.x -er2.x) + abs(pMano2.y - er2.y));
			matchPER2.push_back(abs(pCabeza.x -er2.x) + abs(pCabeza.y - er2.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			for(i=0;i<3;i++){
				if(matchPER2[i]<valAsignacionEr2){
					valAsignacionEr2=matchPER2[i];
					asignacionEr2=i;
				}
			}

			if(asignacionEr1==2 && asignacionEr2<2){
				
				double proporcionAlturaExtremos=0.0, valorMinimoCavidad=0.0, altura1=0.0, altura2=0.0;
				for(i=0;i<persona.PVC[0].er.minRel.size();i++){
					if(persona.PVC[0].er.minRel[i]>persona.PVC[0].er.maxRel[0]){
						valorMinimoCavidad=0.0+persona.PVC[0].puntos[persona.PVC[0].er.minRel[i]].y;
						break;
					}
				}
				altura1=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]].y ;
				altura2=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[1]].y;
				//if(altura1<altura2){
					proporcionAlturaExtremos= 0.0 + altura1/altura2;

				//}else{
				//	proporcionAlturaExtremos= 0.0 + altura2/altura1;
				//}

				if( altura1<altura2 && proporcionAlturaExtremos<0.8 && abs(altura1-altura2)>0.1*(persona.max.y-persona.min.y)){
					if(persona.PHI[0].er.minRel.size()>=2){
						resultadosCompeticionCaso[7]+=12;//poco probable
					}else{
						resultadosCompeticionCaso[8]+=12;//poco probable
					}
				}else{
					resultadosCompeticionCaso[4]+=10;
					resultadosCompeticionCaso[6]+=10;
				}

				
			}else if(asignacionEr1<2 && asignacionEr2==2){
				double proporcionAlturaExtremos=0.0, valorMinimoCavidad=0.0, altura1=0.0, altura2=0.0;
				for(i=0;i<persona.PVC[0].er.minRel.size();i++){
					if(persona.PVC[0].er.minRel[i]>persona.PVC[0].er.maxRel[0]){
						valorMinimoCavidad=0.0+persona.PVC[0].puntos[persona.PVC[0].er.minRel[i]].y;
						break;
					}
				}
				altura1=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]].y;
				altura2=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[1]].y;
//				if(altura1<altura2){
//					proporcionAlturaExtremos= 0.0 + altura1/altura2;

//				}else{
					proporcionAlturaExtremos= 0.0 + altura2/altura1;
//				}

				if(altura1>altura2 && proporcionAlturaExtremos<0.8 && abs(altura1-altura2)>0.1*(persona.max.y-persona.min.y)){
					if(persona.PHD[0].er.maxRel.size()>=2){
						resultadosCompeticionCaso[8]+=12;//poco probable
					}else{
						resultadosCompeticionCaso[7]+=12;//poco probable
					}
				}else{
					resultadosCompeticionCaso[4]+=10;
					resultadosCompeticionCaso[5]+=10;
				}
			}else if(asignacionEr1<2 && asignacionEr2<2){
				resultadosCompeticionCaso[4]+=10;
				resultadosCompeticionCaso[7]+=8;
				resultadosCompeticionCaso[8]+=8;
				resultadosCompeticionCaso[9]+=10;
			}
			
//			asignacionERPV.push_back(asignacionEr1);
//			asignacionERPV.push_back(asignacionEr2);

		}else if(persona.PVC[0].er.maxRel.size()==3){
			CvPoint er1=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			CvPoint er2=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[1]];
			int asignacionEr2=0, valAsignacionEr2=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER2;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER2.push_back(abs(pMano1.x -er2.x) + abs(pMano1.y - er2.y));
			matchPER2.push_back(abs(pMano2.x -er2.x) + abs(pMano2.y - er2.y));
			matchPER2.push_back(abs(pCabeza.x -er2.x) + abs(pCabeza.y - er2.y));
			CvPoint er3=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[2]];
			int asignacionEr3=0, valAsignacionEr3=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER3;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER3.push_back(abs(pMano1.x -er3.x) + abs(pMano1.y - er3.y));
			matchPER3.push_back(abs(pMano2.x -er3.x) + abs(pMano2.y - er3.y));
			matchPER3.push_back(abs(pCabeza.x -er3.x) + abs(pCabeza.y - er3.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			for(i=0;i<3;i++){
				if(matchPER2[i]<valAsignacionEr2){
					valAsignacionEr2=matchPER2[i];
					asignacionEr2=i;
				}
			}
			for(i=0;i<3;i++){
				if(matchPER3[i]<valAsignacionEr3){
					valAsignacionEr3=matchPER3[i];
					asignacionEr3=i;
				}
			}
			if(asignacionEr1<2 && asignacionEr2==2 && asignacionEr3<2){
				resultadosCompeticionCaso[4]+=10;
				resultadosCompeticionCaso[7]+=7;
				resultadosCompeticionCaso[8]+=7;
				resultadosCompeticionCaso[9]+=10;
			}else if(asignacionEr1==2 && asignacionEr2<2 && asignacionEr3<2){//caso muy raro
				resultadosCompeticionCaso[6]+=6;
			}else if(asignacionEr2<2 && asignacionEr1<2 && asignacionEr3==2){//caso muy raro
				resultadosCompeticionCaso[5]+=6;
			}else if(asignacionEr1==2 && asignacionEr2==2 && asignacionEr3<2){//solo ocurre cuando la persona esta de espaldas
				double proporcionAlturaExtremos=0.0, valorMinimoCavidad=0.0, altura1=0.0, altura2=0.0;
				for(i=0;i<persona.PVC[0].er.minRel.size();i++){
					if(persona.PVC[0].er.minRel[i]>persona.PVC[0].er.maxRel[0]){
						valorMinimoCavidad=0.0+persona.PVC[0].puntos[persona.PVC[0].er.minRel[i]].y;
						break;
					}
				}
				altura1=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]].y ;
				altura2=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel.back()].y;
				if(altura1<altura2){
					proporcionAlturaExtremos= 0.0 + altura1/altura2;

				}else{
					proporcionAlturaExtremos= 0.0 + altura2/altura1;
				}

				if( altura1>altura2 && proporcionAlturaExtremos<0.1){
					resultadosCompeticionCaso[4]+=10;
					resultadosCompeticionCaso[5]+=10;
				}else{
					if(persona.PHI[0].er.minRel.size()>=2){
						resultadosCompeticionCaso[7]+=12;//poco probable
					}else{
						resultadosCompeticionCaso[8]+=12;//poco probable
					}
				}
			}else if(asignacionEr1<2 && asignacionEr2==2 && asignacionEr3==2){//solo ocurre cuando la persona esta de espaldas
				double proporcionAlturaExtremos=0.0, valorMinimoCavidad=0.0, altura1=0.0, altura2=0.0;
				for(i=0;i<persona.PVC[0].er.minRel.size();i++){
					if(persona.PVC[0].er.minRel[i]>persona.PVC[0].er.maxRel[0]){
						valorMinimoCavidad=0.0+persona.PVC[0].puntos[persona.PVC[0].er.minRel[i]].y;
						break;
					}
				}
				altura1=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[0]].y;
				altura2=0.0 + valorMinimoCavidad - persona.PVC[0].puntos[persona.PVC[0].er.maxRel[1]].y;
				if(altura1<altura2){
					proporcionAlturaExtremos= 0.0 + altura1/altura2;

				}else{
					proporcionAlturaExtremos= 0.0 + altura2/altura1;
				}

				if(altura1<altura2 && proporcionAlturaExtremos<0.15){
					resultadosCompeticionCaso[4]+=10;
					resultadosCompeticionCaso[6]+=10;
				}else{
					if(persona.PHD[0].er.maxRel.size()>=2){
						resultadosCompeticionCaso[8]+=12;//poco probable
					}else{
						resultadosCompeticionCaso[7]+=12;//poco probable
					}
				}
			}

//			asignacionERPV.push_back(asignacionEr1);
//			asignacionERPV.push_back(asignacionEr2);
//			asignacionERPV.push_back(asignacionEr3);
		}//fin pv

		if(persona.PHD[0].er.maxRel.size()==0){
			resultadosCompeticionCaso[4]+=8;
			resultadosCompeticionCaso[6]+=8;
			resultadosCompeticionCaso[7]+=8;
			resultadosCompeticionCaso[9]+=8;
		}else if(persona.PHD[0].er.maxRel.size()==1){
			CvPoint er1=persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			if(asignacionEr1==2){//muy raro
				resultadosCompeticionCaso[4]+=6;
				resultadosCompeticionCaso[6]+=6;
				resultadosCompeticionCaso[7]+=6;
			}else{//mas normal
				resultadosCompeticionCaso[4]+=10;
				resultadosCompeticionCaso[6]+=8;
				resultadosCompeticionCaso[7]+=8;
				resultadosCompeticionCaso[8]+=8;
			}	
		}else if(persona.PHD[0].er.maxRel.size()==2){
			CvPoint er1=persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			CvPoint er2=persona.PHD[0].puntos[persona.PHD[0].er.maxRel[1]];
			int asignacionEr2=0, valAsignacionEr2=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER2;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER2.push_back(abs(pMano1.x -er2.x) + abs(pMano1.y - er2.y));
			matchPER2.push_back(abs(pMano2.x -er2.x) + abs(pMano2.y - er2.y));
			matchPER2.push_back(abs(pCabeza.x -er2.x) + abs(pCabeza.y - er2.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			for(i=0;i<3;i++){
				if(matchPER2[i]<valAsignacionEr2){
					valAsignacionEr2=matchPER2[i];
					asignacionEr2=i;
				}
			}
			if(asignacionEr1==2 && asignacionEr2<2){//muy raro
				resultadosCompeticionCaso[5]+=6;
			}else if(asignacionEr1<2 && asignacionEr2<2){
				resultadosCompeticionCaso[5]+=10;
				resultadosCompeticionCaso[8]+=10;
			}else if(asignacionEr1==2 && asignacionEr2==2){//no debera ocurrir, pero significa que debemos promediar en funcin de la morfologa, obviando conocimiento previo
				resultadosCompeticionCaso[5]+=10;
				resultadosCompeticionCaso[8]+=10;
			}else{
				resultadosCompeticionCaso[5]+=10;
			}
		}

		if(persona.PHI[0].er.minRel.size()==0){
			resultadosCompeticionCaso[4]+=8;
			resultadosCompeticionCaso[6]+=8;
			resultadosCompeticionCaso[7]+=8;
			resultadosCompeticionCaso[9]+=8;
		}else if(persona.PHI[0].er.minRel.size()==1){
			CvPoint er1=persona.PHI[0].puntos[persona.PHI[0].er.minRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			if(asignacionEr1==2){//muy raro
				resultadosCompeticionCaso[4]+=6;
				resultadosCompeticionCaso[5]+=6;
				resultadosCompeticionCaso[8]+=6;
			}else{//mas normal
				resultadosCompeticionCaso[4]+=10;
				resultadosCompeticionCaso[5]+=8;
				resultadosCompeticionCaso[7]+=8;
				resultadosCompeticionCaso[8]+=8;
			}
			
		}else if(persona.PHI[0].er.minRel.size()==2){
			CvPoint er1=persona.PHI[0].puntos[persona.PHI[0].er.minRel[0]];
			int asignacionEr1=0, valAsignacionEr1=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER1;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER1.push_back(abs(pMano1.x -er1.x) + abs(pMano1.y - er1.y));
			matchPER1.push_back(abs(pMano2.x -er1.x) + abs(pMano2.y - er1.y));
			matchPER1.push_back(abs(pCabeza.x -er1.x) + abs(pCabeza.y - er1.y));
			CvPoint er2=persona.PHI[0].puntos[persona.PHI[0].er.minRel[1]];
			int asignacionEr2=0, valAsignacionEr2=10000000;//0 valor por defecto, 1 se ha asignado la mano 1 al er1, 2 se ha asignado la mano 2 y 3 para la cabeza
			vector<int> matchPER2;//resultado de comparar los 3 puntos(mano1, mano2, cabeza) con el extremo relativo
			matchPER2.push_back(abs(pMano1.x -er2.x) + abs(pMano1.y - er2.y));
			matchPER2.push_back(abs(pMano2.x -er2.x) + abs(pMano2.y - er2.y));
			matchPER2.push_back(abs(pCabeza.x -er2.x) + abs(pCabeza.y - er2.y));
			for(i=0;i<3;i++){
				if(matchPER1[i]<valAsignacionEr1){
					valAsignacionEr1=matchPER1[i];
					asignacionEr1=i;
				}
			}
			for(i=0;i<3;i++){
				if(matchPER2[i]<valAsignacionEr2){
					valAsignacionEr2=matchPER2[i];
					asignacionEr2=i;
				}
			}
			if(asignacionEr1==2 && asignacionEr2<2){//muy raro
				resultadosCompeticionCaso[6]+=6;
			}else if(asignacionEr1<2 && asignacionEr2<2){
				//resultadosCompeticionCaso[5]+=10;
				resultadosCompeticionCaso[6]+=10;
				resultadosCompeticionCaso[7]+=10;
				//resultadosCompeticionCaso[8]+=10;
			}else if(asignacionEr1==2 && asignacionEr2==2){//no debera ocurrir, pero significa que debemos promediar en funcin de la morfologa, obviando conocimiento previo
				resultadosCompeticionCaso[6]+=10;
				resultadosCompeticionCaso[7]+=10;
			}else{
				resultadosCompeticionCaso[6]+=10;
			}
		}

		int ganador=0;
		for(i=1;i<resultadosCompeticionCaso.size();i++){
			//cout << i << ": " << resultadosCompeticionCaso[i] << endl;
			if(resultadosCompeticionCaso[ganador] < resultadosCompeticionCaso[i]){
				ganador=i;
			}
		}
		if(ganador==5 || ganador==6){
			return ganador;//caso mas simple de identificar
		}//sino, hay que hacer una comprobacin adicional
//---------------------------------------------------------
		//para indentificar mejor cuando es un caso de la familia 7-8
		//primero colocamos la cabeza en su sitio (falta por hacer)
		
		int extremoElegido=-1, valorExtremoElegido=persona.max.y;
		for(i=0;i<persona.PVC[0].er.maxRel.size();i++){
			if(persona.PVC[0].puntos[persona.PVC[0].er.maxRel[i]].y<valorExtremoElegido){
				extremoElegido=i;
				valorExtremoElegido=persona.PVC[0].puntos[persona.PVC[0].er.maxRel[i]].y;
			}
		}
		if(extremoElegido>=0){
			int valorX=persona.PVC[0].puntos[0].x;
			int rHeight = (persona.max.y - persona.min.y)*0.33;
			int rWidth = rHeight*0.8;
			//concretar valor x
			if(extremoElegido==0){
				valorX=persona.PHD[0].puntos[0.5*rHeight].x;
			}else if(extremoElegido==persona.PVC[0].er.maxRel.size()-1){
				valorX=persona.PHI[0].puntos[0.5*rHeight].x - rWidth;
			}else{
				if(extremoElegido - 0.5*rHeight >0){
					valorX=valorX=persona.PVC[0].puntos[extremoElegido - 0.5*rHeight].x;
				}
			}
			CvRect r=cvRect(valorX,persona.PVC[0].puntos[persona.PVC[0].er.maxRel[extremoElegido]].y, rWidth,rHeight);
			
			CvPoint ladoIzquierdoCabeza;
			if(r.x - persona.min.x >0){
				ladoIzquierdoCabeza=persona.PVC[0].puntos[r.x - persona.min.x];
			}else{
				ladoIzquierdoCabeza=persona.PVC[0].puntos[0];
			}
			CvPoint ladoDerechoCabeza;
			if(r.x + r.width - persona.min.x <persona.PVC[0].puntos.size()){
				ladoDerechoCabeza=persona.PVC[0].puntos[r.x + r.width - persona.min.x];
			}else{
				ladoDerechoCabeza=persona.PVC[0].puntos.back();
			}
			int banderaLIEC=0;
			CvPoint ladoIzquierdoExteriorCabeza;
			if(r.x - persona.min.x - r.width*0.3 > 0){
				ladoIzquierdoExteriorCabeza=persona.PVC[0].puntos[r.x - persona.min.x - r.width*0.3];
			}else{
				ladoIzquierdoExteriorCabeza=persona.PVC[0].puntos[0];
				banderaLIEC=1;
			}
			int banderaLDEC=0;
			CvPoint ladoDerechoExteriorCabeza;
			if(r.x + r.width - persona.min.x + r.width*0.3<persona.PVC[0].puntos.size()){
				ladoDerechoExteriorCabeza=persona.PVC[0].puntos[r.x + r.width - persona.min.x + r.width*0.3];
			}else{
				ladoDerechoExteriorCabeza=persona.PVC[0].puntos.back();
				banderaLDEC=1;
			}
			
			//comprobamos si los datos corresponden a una cabeza o no

			int banderaNoEsCabeza=0;
			int valor1=persona.PHD[0].puntos[0.5*r.height].x, valor2=persona.PHI[0].puntos[0.5*r.height].x;
			if(valor2-valor1 < 0.75*r.width){
				banderaNoEsCabeza=1;
			}

			if(banderaLIEC==0){//si no es un extremo
				if(ladoIzquierdoExteriorCabeza.y>r.y+ 1.5*r.height){
					banderaNoEsCabeza=1;
				}
			}else{//est en el extremo izquierdo
				int valorAComparar=0;
				if(persona.PHD[0].puntos.size()>1.4*r.height){
					valorAComparar = persona.PHD[0].puntos[1.4*r.height].x;
					if(persona.PHD[0].puntos.size()>1.8*r.height){
						valorAComparar = min(persona.PHD[0].puntos[1.8*r.height].x,valorAComparar);
					}
				}else{//la altura es muy pequea
					valorAComparar=-1;
					//no hacer nada
				}
				if(valorAComparar>=0){
					if(valorAComparar - persona.min.x>0.5*r.width){
						banderaNoEsCabeza=1;
					}
				}
			}

			if(banderaNoEsCabeza==0){//si aun no estamos seguros de que eso no es una cabeza
				if(banderaLDEC==0){
					if(ladoDerechoExteriorCabeza.y>r.y+ 1.5*r.height){
						banderaNoEsCabeza=1;
					}
				}else{
					int valorAComparar=0;
					if(persona.PHI[0].puntos.size()>1.4*r.height){
						valorAComparar = persona.PHI[0].puntos[1.4*r.height].x;
						if(persona.PHI[0].puntos.size()>1.8*r.height){
							valorAComparar = max(persona.PHD[0].puntos[1.8*r.height].x,valorAComparar);
						}
					}else{//la altura es muy pequea
						valorAComparar=-1;
						//no hacer nada
					}
					if(valorAComparar>=0){
						if(valorAComparar< r.x + 0.5*r.width /*- persona.min.x*/){
							banderaNoEsCabeza=1;
						}
					}
				}
			}//fin if banderaNoEsCabeza

			if(banderaNoEsCabeza==0){//si el torso es mas pequeo que las piernas
				resultadosCompeticionCaso[4]+=6;
				//resultadosCompeticionCaso[5]+=6;
				//resultadosCompeticionCaso[6]+=6;
			}else {//si el torso es mas grande que las piernas
				resultadosCompeticionCaso[7]+=6;
				resultadosCompeticionCaso[8]+=6;
				resultadosCompeticionCaso[9]+=6;
			}
		}

		//comprobamos quien ha ganado
		//cout << endl;
		ganador=0;
		for(i=1;i<resultadosCompeticionCaso.size();i++){
			//cout << i << ": " << resultadosCompeticionCaso[i] << endl;
			if(resultadosCompeticionCaso[ganador] < resultadosCompeticionCaso[i]){
				ganador=i;
			}
		}
		
		//---------------------------------------------------------
		//para diferenciar entre 7 y 8
		if(ganador==7 || ganador==8){
			if(resultadosCompeticionCaso[7]==resultadosCompeticionCaso[8]){
				if(persona.PHD[0].er.maxRel.size()>=2 && persona.PHI[0].er.minRel.size()<2){
					ganador=8;
				}else if(persona.PHD[0].er.maxRel.size()<2 && persona.PHI[0].er.minRel.size()>=2){
					ganador=7;
				}else if(persona.PHD[0].er.maxRel.size()==1 && persona.PHI[0].er.minRel.size()==1){
					int valor1=0, valor2=0;
					if(persona.PHD[0].er.minRel.size()==0){
						ganador=7;
					}else if(persona.PHI[0].er.maxRel.size()==0){
						ganador=8;
					}else{
						valor1=persona.PHD[0].puntos[persona.PHD[0].er.minRel[0]].x - persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]].x;
						valor2=persona.PHI[0].puntos[persona.PHI[0].er.minRel[0]].x - persona.PHI[0].puntos[persona.PHI[0].er.maxRel[0]].x;
						if(valor2>valor1){
							ganador=7;
						}else{
							ganador=8;
						}
					}
				}
			}
		}
		//---------------------------------------------------------

		//cout << endl;

/*		if(ganador==3){
			persona.PHI[0].er=calcularExtremosRelativos(persona.PHI[0].puntos, 15,5,3,1);
		}
		if(ganador==4){
			persona.PHI[0].er=calcularExtremosRelativos(persona.PHI[0].puntos, 15,5,3,1);
		}
		if(ganador==6){
			persona.PHI[0].er=calcularExtremosRelativos(persona.PHI[0].puntos, 15,5,3,1);
		}
		if(ganador==7){
			persona.PHI[0].er=calcularExtremosRelativos(persona.PHI[0].puntos, 15,5,3,1);
		}
*/		return ganador;
		
	}else{
		/*Comprobar si es el caso 7 - cuidado, no esta preparada para el caso simetrico por haber una ambiguedad por la que no sabes detras de que brazo esta la cabeza*/
		int indiceOtroBrazo=0;
		if(persona.PVC[0].er.minRel.size()>1){
			indiceOtroBrazo=1;
		}
		int bandera=0;
		for(i=persona.PVC[0].er.maxRel[0]+4;i<persona.PVC[0].er.minRel[indiceOtroBrazo];i=i+4){
			double valor = 0.0 + (persona.PVC[0].puntos[i].y - persona.PVC[0].puntos[i-4].y);
			valor = valor/(persona.max.y-persona.min.y);
			if(valor > 0.7){
				bandera=1;
				break;
			}
		}
		if(bandera==1){
			return 7;//el brazo de la izquierda est tan levantado que coincide con la cabeza y el otro est separado del cuerpo
		}
		
		if(persona.PHD[0].er.maxRel.size()>1){//ojo, la ultima condicion esta puesta porque aun no compruebo que efectivamente haya un maximo en la posicion 0
			//persona.mano1=cvRect(persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]].x, persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]].y, 0,0);
			//persona.mano2=cvRect(persona.PHD[0].puntos[persona.PHD[0].er.maxRel[1]].x, persona.PHD[0].puntos[persona.PHD[0].er.maxRel[1]].y, 0,0);
			//persona.cabeza=cvRect(persona.PVC[0].puntos[persona.PVC[0].er.maxRel.back()].x, persona.PVC[0].puntos[persona.PVC[0].er.maxRel.back()].y, 0,0);
			return 5;//hay dos brazos en el lado izquierdo de la imagen
		}
		if(persona.PHI[0].er.minRel.size()>1 || (persona.PHI[0].er.minRel.size()==1 && persona.PVC[0].er.maxRel.size()==2)){//ojo, la ultima condicion esta puesta porque aun no compruebo que efectivamente haya un maximo en la posicion 0
			//persona.mano1=cvRect(persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]].x, persona.PHD[0].puntos[persona.PHD[0].er.maxRel[0]].y, 0,0);
			//persona.mano2=cvRect(persona.PHD[0].puntos[persona.PHD[0].er.maxRel[1]].x, persona.PHD[0].puntos[persona.PHD[0].er.maxRel[1]].y, 0,0);
			//persona.cabeza=cvRect(persona.PVC[0].puntos[persona.PVC[0].er.maxRel.back()].x, persona.PVC[0].puntos[persona.PVC[0].er.maxRel.back()].y, 0,0);
			return 6;//hay dos brazos en el lado derecho de la imagen
		}
		if(/*persona.PVC[0].er.maxRel.size()==1 &&*/ persona.PHD[0].er.maxRel.size()==1 && persona.PHI[0].er.minRel.size()==1){
			return 4;//falta discriminar entre el caso 1 y el 4 correctamente
		}
		if(persona.PHD[0].er.maxRel.size()==1){
			return 3;//falta discriminar entre el caso 1 y el 4 correctamente
		}
		if(persona.PHI[0].er.minRel.size()==1){
			return 2;//falta discriminar entre el caso 1 y el 4 correctamente
		}
		return 0;
	}
}