/*	
	Proyecto TFG:
		AMH VIDA
	Ao:
		2011-2012.
	Version:
		1.0
	Fecha de ultima modificacion:
		18-Jul-2012.
	Fuente original:
		http://www.qtcentre.org/threads/11655-OpenCV-integration
	Modificacin:
		Jose Luis Martinez Jimenez.
	Tutores:
		Francisco Javier Finat Codes.
		Valentn Cardeoso Payo
	Descripcion:
*/

#ifndef FILTER_H
#define FILTER_H

#include "headstate.h"

/**
 * Base class for filters
 */
class Filter {
public:
	Filter();
	void setListener(Filter* list);
	virtual void processPoint(HeadState* state) = 0;
protected:
	Filter* listener;
	void notifyListener(HeadState* state);
};

#endif
